#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		ecore_ver	1.7.9
%define		eet_ver		1.7.9
%define		eina_ver	1.7.9

Summary:	freedesktop.org standards implementation for the EFL
Summary(pl.UTF-8):	Implementacja standardów freedesktop.org dla EFL
Name:		efreet
Version:	1.7.9
Release:	1
License:	BSD
Group:		X11/Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	9efa96905ad5ed613c0fb4fe74af84de
URL:		http://trac.enlightenment.org/e/wiki/Efreet
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	ecore-file-devel >= %{ecore_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
Requires:	ecore >= %{ecore_ver}
Requires:	ecore-file >= %{ecore_ver}
Requires:	eet >= %{eet_ver}
Requires:	eina >= %{eina_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Efreet is an implementation of the following specifications from
freedesktop.org:
 - Base Directory - Locations for system and user specific desktop
   configuration files,
 - Desktop Entries - The metadata associated with the applications
   installed on a system,
 - Application Menus - The arrangement of available applications into
   a hierarchical menu,
 - Icon Themes - A means of associating icons with various objects on
   the desktop in a themable fashion.

By following these specifications, Enlightenment 0.17 uses the same
format for describing application launchers, menus and icon themes as
the GNOME, KDE and XFCE Desktop Environments. A system must only
provide a single set of this data for use with any of these desktops.

%description -l pl.UTF-8
Efreet to implementacja następujących specyfikacji z freedesktop.org:
 - Base Directory - położenie plików konfiguracyjnych środowiska dla
   systemu i użytkownika,
 - Desktop Entries - metadane związane z aplikacjami zainstalowanymi w
   systemie,
 - Application Menus - uporządkowanie dostępnych aplikacji w menu
   hierarchiczne,
 - Icon Themes - sposób wiązania ikon z różnymi obiektami w środowisku
   w sposób pozwalający na ustawianie motywów.

%package devel
Summary:	Efreet header files
Summary(pl.UTF-8):	Pliki nagłówkowe Efreet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ecore-devel >= %{ecore_ver}
Requires:	ecore-file-devel >= %{ecore_ver}
Requires:	eet-devel >= %{eet_ver}
Requires:	eina-devel >= %{eina_ver}

%description devel
Header files for Efreet.

%description devel -l pl.UTF-8
Pliki nagłówkowe Efreet.

%package static
Summary:	Static Efreet library
Summary(pl.UTF-8):	Statyczna biblioteka Efreet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Efreet library.

%description static -l pl.UTF-8
Statyczna biblioteka Efreet.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just tests
%{__rm} $RPM_BUILD_ROOT%{_bindir}/efreet_{alloc,menu_alloc,test,spec_test,cache_test}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/test

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/efreet_icon_cache_dump
%attr(755,root,root) %{_libdir}/libefreet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet.so.1
%attr(755,root,root) %{_libdir}/libefreet_mime.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet_mime.so.1
%attr(755,root,root) %{_libdir}/libefreet_trash.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet_trash.so.1
%dir %{_libdir}/efreet
%attr(755,root,root) %{_libdir}/efreet/efreet_desktop_cache_create
%attr(755,root,root) %{_libdir}/efreet/efreet_icon_cache_create

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libefreet.so
%attr(755,root,root) %{_libdir}/libefreet_mime.so
%attr(755,root,root) %{_libdir}/libefreet_trash.so
%{_libdir}/libefreet.la
%{_libdir}/libefreet_mime.la
%{_libdir}/libefreet_trash.la
%{_includedir}/efreet-1
%{_pkgconfigdir}/efreet.pc
%{_pkgconfigdir}/efreet-mime.pc
%{_pkgconfigdir}/efreet-trash.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libefreet.a
%{_libdir}/libefreet_mime.a
%{_libdir}/libefreet_trash.a
%endif
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/efreet.git;a=log;h=master

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 75fec42
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> e196be5
- updated to 1.7.7

* Tue Apr 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4eaa071
- updated to 1.7.6
- removed obsolete am

* Sun Jan 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 9fc626b
- added am patch (fixes build with automake 1.13)

* Sun Jan 13 2013 Jakub Bogusz <qboosh@pld-linux.org> ab7bb78
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 95e0b40
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 20d9404
- updated to 1.7.2

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 3757a15
- updated to 1.7.1

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> ee7b66d
- updated to 1.7.0

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 27a5fa0
- updated to 1.2.0

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 8e8b1b6
- R: eina not eina-devel; rel 3

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> 3a499a0
- release 2

* Sun Dec 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 173d24b
- updated to 1.1.0

* Wed Jun 01 2011 Jakub Bogusz <qboosh@pld-linux.org> c369417
- updated to 1.0.1

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 9bd7b50
- updated URL

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 2676471
- package ChangeLog

* Tue Feb 01 2011 lisu <lisu@pld-linux.org> 342f4ad
- rel 3

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> c90c4f8
- rel 2

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 863f344
- 1.0.0 is now stable

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 308b406
- really updated to 1.0.0.beta3

